package com.bonus.core.device.manage.model;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.time.LocalDateTime;

@TableName("device_dc_door")
@ApiModel(
   value = "DeviceDcDoor对象",
   description = ""
)
public class DeviceDcDoor implements Serializable {
   private static final long serialVersionUID = 1L;
   @TableId(
      value = "id",
      type = IdType.AUTO
   )
   private Integer id;
   @ApiModelProperty("设备id")
   private Long deviceId;
   @ApiModelProperty("父设备id")
   private Long parentDeviceId;
   @ApiModelProperty("门全称")
   private String doorFullName;
   @ApiModelProperty("门索引")
   private Integer doorIndex;
   @ApiModelProperty("设备id")
   private Integer buildId;
   @ApiModelProperty("是否实时显示日志")
   private Integer displayLog;
   @ApiModelProperty("是否开启定额支付")
   private Integer ifOpenPay;
   @ApiModelProperty("1 强迫关，2强迫开，3正常")
   private Integer managementStatus;
   @ApiModelProperty("备注")
   private String note;
   @ApiModelProperty("1开 2关")
   private Integer sensorStatus;
   @ApiModelProperty("出入口设定")
   private String doorpara;
   @ApiModelProperty("创建时间")
   @TableField(
      fill = FieldFill.INSERT
   )
   private LocalDateTime crtime;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("更新人")
   private String upby;
   @ApiModelProperty("更新时间")
   @TableField(
      fill = FieldFill.UPDATE
   )
   private LocalDateTime uptime;

   public Integer getId() {
      return this.id;
   }

   public Long getDeviceId() {
      return this.deviceId;
   }

   public Long getParentDeviceId() {
      return this.parentDeviceId;
   }

   public String getDoorFullName() {
      return this.doorFullName;
   }

   public Integer getDoorIndex() {
      return this.doorIndex;
   }

   public Integer getBuildId() {
      return this.buildId;
   }

   public Integer getDisplayLog() {
      return this.displayLog;
   }

   public Integer getIfOpenPay() {
      return this.ifOpenPay;
   }

   public Integer getManagementStatus() {
      return this.managementStatus;
   }

   public String getNote() {
      return this.note;
   }

   public Integer getSensorStatus() {
      return this.sensorStatus;
   }

   public String getDoorpara() {
      return this.doorpara;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getCrby() {
      return this.crby;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public DeviceDcDoor setId(final Integer id) {
      this.id = id;
      return this;
   }

   public DeviceDcDoor setDeviceId(final Long deviceId) {
      this.deviceId = deviceId;
      return this;
   }

   public DeviceDcDoor setParentDeviceId(final Long parentDeviceId) {
      this.parentDeviceId = parentDeviceId;
      return this;
   }

   public DeviceDcDoor setDoorFullName(final String doorFullName) {
      this.doorFullName = doorFullName;
      return this;
   }

   public DeviceDcDoor setDoorIndex(final Integer doorIndex) {
      this.doorIndex = doorIndex;
      return this;
   }

   public DeviceDcDoor setBuildId(final Integer buildId) {
      this.buildId = buildId;
      return this;
   }

   public DeviceDcDoor setDisplayLog(final Integer displayLog) {
      this.displayLog = displayLog;
      return this;
   }

   public DeviceDcDoor setIfOpenPay(final Integer ifOpenPay) {
      this.ifOpenPay = ifOpenPay;
      return this;
   }

   public DeviceDcDoor setManagementStatus(final Integer managementStatus) {
      this.managementStatus = managementStatus;
      return this;
   }

   public DeviceDcDoor setNote(final String note) {
      this.note = note;
      return this;
   }

   public DeviceDcDoor setSensorStatus(final Integer sensorStatus) {
      this.sensorStatus = sensorStatus;
      return this;
   }

   public DeviceDcDoor setDoorpara(final String doorpara) {
      this.doorpara = doorpara;
      return this;
   }

   public DeviceDcDoor setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
      return this;
   }

   public DeviceDcDoor setCrby(final String crby) {
      this.crby = crby;
      return this;
   }

   public DeviceDcDoor setUpby(final String upby) {
      this.upby = upby;
      return this;
   }

   public DeviceDcDoor setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
      return this;
   }
}
